#include <Adafruit_NeoPixel.h>
#include <KosmoBits_Pixel.h>
#include <KosmoBits_Pins.h>

KosmoBits_Pixel pixel;

const int buzzerPin = KOSMOBITS_BUZZER_PIN;
const int tasterPin = KOSMOBITS_TASTE_2_PIN;

int rot[7]   =  { 255,   0,   0, 255,   0, 255, 255};
int gruen[7] =  {   0, 255,   0,   0, 255, 255, 255};
int blau[7]  =  {   0,   0, 255, 255, 255,   0, 255};
int zaehler = 0;

const int helligkeit = 50;
const int intervall = 500;

unsigned long aktuelleZeit = 0;
unsigned long alteZeit = 0;
  
void setup() {
  pinMode(tasterPin, INPUT);
}

void loop() {
  aktuelleZeit = millis();

  if (aktuelleZeit - alteZeit > intervall) {
    pixel.setColor(rot[zaehler], gruen[zaehler], blau[zaehler], helligkeit);
    
    zaehler++;
    if(zaehler == 7){zaehler = 0;}
    
    alteZeit = aktuelleZeit;
  }

  if (digitalRead(tasterPin) == LOW) {
    tone(buzzerPin, 220);
  }
  else {
    noTone(buzzerPin);
  }
  
}
